summaryrefslogtreecommitdiffstats
path: root/install/ui/util/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install/ui/util/build.sh')
-rwxr-xr-xinstall/ui/util/build.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/install/ui/util/build.sh b/install/ui/util/build.sh
new file mode 100755
index 000000000..7cd623485
--- /dev/null
+++ b/install/ui/util/build.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+# Authors:
+# Petr Vobornik <pvoborni@redhat.com>
+#
+# Copyright (C) 2012 Red Hat
+# see file 'COPYING' for use and warranty information
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Build script for FreeIPA Web UI
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+
+profile=$1
+
+if [[ ! $profile ]] ; then
+ echo 'No profile set'
+ echo 'Usage: build.sh PROFILE_NAME'
+ exit 1
+fi
+
+rhino $DIR/build/build.js baseUrl=$DIR/build load=build profile=$DIR/../src/$profile.profile.js
+exit $? \ No newline at end of file